"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _MaterialIcons = _interopRequireDefault(require("react-native-vector-icons/MaterialIcons"));
var _theme = require("../../contexts/theme");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const iconSize = 30;
const offset = 10;
const InfoTextBox = _ref => {
  let {
    children
  } = _ref;
  const {
    ColorPallet,
    TextTheme
  } = (0, _theme.useTheme)();
  const styles = _reactNative.StyleSheet.create({
    container: {
      backgroundColor: ColorPallet.notification.info,
      borderRadius: 5,
      borderWidth: 1,
      borderColor: ColorPallet.notification.infoBorder,
      padding: 10
    },
    row: {
      flexDirection: 'row',
      alignItems: 'center'
    },
    textContainer: {
      ...TextTheme.bold,
      color: ColorPallet.notification.infoText,
      alignSelf: 'center',
      flexShrink: 1
    },
    iconContainer: {
      marginRight: offset,
      alignSelf: 'center'
    }
  });
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.container
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.row
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.iconContainer
  }, /*#__PURE__*/_react.default.createElement(_MaterialIcons.default, {
    name: 'info',
    size: iconSize,
    color: ColorPallet.notification.infoIcon
  })), typeof children === 'string' ? /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.textContainer
  }, children) : /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, children)));
};
var _default = InfoTextBox;
exports.default = _default;
//# sourceMappingURL=InfoTextBox.js.map