import { useNavigation } from '@react-navigation/core';
import React from 'react';
import { useTranslation } from 'react-i18next';
import { Screens, Stacks } from '../../types/navigators';
import { testIdWithKey } from '../../utils/testable';
import HeaderButton, { ButtonLocation } from './HeaderButton';
const InfoIcon = _ref => {
  let {
    connectionId
  } = _ref;
  const navigation = useNavigation();
  const {
    t
  } = useTranslation();
  return /*#__PURE__*/React.createElement(HeaderButton, {
    buttonLocation: ButtonLocation.Right,
    accessibilityLabel: t('Screens.Settings'),
    testID: testIdWithKey('Settings'),
    onPress: () => navigation.navigate(Stacks.ContactStack, {
      screen: Screens.ContactDetails,
      params: {
        connectionId: connectionId
      }
    }),
    icon: "dots-vertical"
  });
};
export default InfoIcon;
//# sourceMappingURL=InfoIcon.js.map